package com.unitesk.requality.eclipse.ui.dialogs;

import org.eclipse.jface.viewers.ILabelProvider;
import org.eclipse.jface.viewers.ILabelProviderListener;
import org.eclipse.jface.viewers.LabelProvider;
import org.eclipse.swt.graphics.Image;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.ui.model.WorkbenchLabelProvider;

import com.unitesk.requality.core.TreeDB;
import com.unitesk.requality.eclipse.core.TreesTracker;
import com.unitesk.requality.nodetypes.Requirement;

public abstract class SelectNodeFromRequirementsTree extends SelectNodeDialog {

    public SelectNodeFromRequirementsTree(Shell shell, TreeDB treedb) {
		super(shell, treedb);
	}

    private static ILabelProvider lprovider = new LabelProvider() {
        @Override
        public Image getImage(Object element) {
            if(element instanceof Requirement) {
                Requirement req = (Requirement) element;
                if(req.getQualifiedId().equals("/Requirements")) {
                    return WorkbenchLabelProvider.getDecoratingWorkbenchLabelProvider().getImage(TreesTracker.getResourceByNode(req).getProject());
                }
            }
            return WorkbenchLabelProvider.getDecoratingWorkbenchLabelProvider().getImage(element);
        }
        @Override
        public String getText(Object element) {
            if(element instanceof Requirement) {
                Requirement req = (Requirement) element;
                if(req.getQualifiedId().equals("/Requirements")) {
                    return WorkbenchLabelProvider.getDecoratingWorkbenchLabelProvider().getText(TreesTracker.getResourceByNode(req).getProject());
                }
            }
            return WorkbenchLabelProvider.getDecoratingWorkbenchLabelProvider().getText(element);
        }
    };
	@Override
    protected ILabelProvider getLabelProvider() {
        return lprovider;
    }

}