/*******************************************************************************
 * Copyright (c) 2006 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package com.unitesk.requality.eclipse.wizards;

import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.jface.wizard.Wizard;
import org.eclipse.ui.IImportWizard;
import org.eclipse.ui.IWorkbench;
import org.eclipse.ui.PlatformUI;

public class DocumentImportWizard extends Wizard implements IImportWizard {
	private DocumentImportWizardPage mainPage;

	public DocumentImportWizard() {
		super();
	}

	public boolean performFinish() {
		return mainPage.finish();
	}

	public void init(IWorkbench workbench, IStructuredSelection selection) {
		setWindowTitle("Document Import Wizard");
		setNeedsProgressMonitor(false);
		if (selection == null)
			selection = (IStructuredSelection) PlatformUI.getWorkbench()
					.getActiveWorkbenchWindow().getSelectionService()
					.getSelection();
		mainPage = new DocumentImportWizardPage(workbench, selection);
		mainPage.setTitle("Document Import");
		mainPage.setDescription("Select documents to import");
	}

	public void addPages() {
		super.addPages();
		addPage(mainPage);
	}

	@Override
	public boolean canFinish() {
		return super.canFinish();
	}
}
