package com.unitesk.requality.tests;

import com.unitesk.requality.core.CoreUtils;

public class TestErrorInfo {
	private String name;
	private String uri;
	private String desc;
	private String[] reqs;
	private boolean isPlain;
	public TestErrorInfo(String name, String path, boolean isPlain, String desc, String[] reqs){
		this.name = name;
		this.uri = path;
		this.reqs = reqs;
		this.isPlain = isPlain;
		this.desc = desc;
	}
	public String getName()
	{
		return name;
	}
	
	public String getDescription()
	{
		if(isPlain)
			return CoreUtils.htmlEscape(desc);
		return desc;
	}
	
	public boolean isPlainText(){
		return isPlain;
	}
	
	public String getRawTestPath()
	{
		return uri;
	}

	/**
	 * If empty then coverageStorage.getRequirementsForPath needs to be called
	 * @param storage
	 * @return
	 */
	public String[] getRequirementsQIDs()
	{
		return reqs;
	}
}
